# Get a Collection of Mailings

Endpoint: GET /mailings
Security: bearerAuth, s2sAuthToken

## Response 200 fields (application/vnd.api+json):

  - `data` (array)

  - `data.attributes` (object)
    A representation of a platform-related email.

  - `data.attributes.bodyHtml` (string,null)
    The mailing's custom email body, represented in HTML. If provided this field will override any associated template.

  - `data.attributes.bodyText` (string,null)
    The plain-text representation of the 'bodyHTML' field.

  - `data.attributes.bouncedAt` (string,null)
    The date and time the email was bounced.

  - `data.attributes.clickCount` (integer,null)
    The total number of times links within the email were clicked (if the message is tracking links).

  - `data.attributes.clickedAt` (string,null)
    The most recent date and time a link was clicked (if the message is tracking links).

  - `data.attributes.createdAt` (string,null)
    The date and time the mailing was created.

  - `data.attributes.deliveredAt` (string,null)
    The date and time the email was delivered.

  - `data.attributes.errorBacktrace` (string,null)
    Technical details explaining the mailing's error.

  - `data.attributes.errorReason` (string,null)
    A summary explaining the mailing's error.

  - `data.attributes.followUpTaskScheduledAt` (string,null)
    The date and time of when a follow-up task should be due for this mailing.

  - `data.attributes.followUpTaskType` (string,null)
    The type of follow-up task to create. Possible values are 'follow_up' or 'no_reply'.

  - `data.attributes.mailboxAddress` (string,null)
    The email address the mailing was sent from.

  - `data.attributes.mailingType` (string,null)
    A description of the type of the emailing (e.g. "sequence", "single", "campaign").

  - `data.attributes.markedAsSpamAt` (string,null)
    The date and time the email was marked as spam.

  - `data.attributes.messageId` (string,null)
    The MIME content Message-ID of the delivered message.

  - `data.attributes.notifyThreadCondition` (string,null)
    The condition of when to bump this mailing to the top of the user's inbox. Possible values are 'always' or 'no_reply'.

  - `data.attributes.notifyThreadScheduledAt` (string,null)
    The date and time of when this mailing should be bumped to the top of the user's inbox.

  - `data.attributes.notifyThreadStatus` (string,null)
    The status of the bump. Possible values are 'pending', 'sent' or 'skipped'.

  - `data.attributes.openCount` (integer,null)
    The total number of times the email was opened (if the message is tracking opens).

  - `data.attributes.openedAt` (string,null)
    The most recent date and time the email was opened (if the message is tracking opens).

  - `data.attributes.overrideSafetySettings` (boolean,null)
    A boolean value whether users can override submission if template variables have not all been replaced.

  - `data.attributes.references` (array,null)
    A list of references for the mailing taken from the email header.

  - `data.attributes.repliedAt` (string,null)
    The date and time the email was replied to.

  - `data.attributes.retryAt` (string,null)
    The date and time the email will rety to send.

  - `data.attributes.retryCount` (integer,null)
    The number of times the email has been retried to send.

  - `data.attributes.retryInterval` (integer,null)
    The amount of time in seconds between retry attempts.

  - `data.attributes.scheduledAt` (string,null)
    The date and time the email is scheduled to send.

  - `data.attributes.state` (string,null)
    The current state of the mailing. Can be 'bounced', 'delivered', 'delivering', 'drafted', 'failed', 'opened', 'placeholder', 'queued', 'replied', or 'scheduled'.

  - `data.attributes.stateChangedAt` (string,null)
    The date and time the state last changed.

  - `data.attributes.subject` (string,null)
    The subject line of the email.

  - `data.attributes.trackLinks` (boolean,null)
    A boolean value whether the mailing is tracking link clicks.

  - `data.attributes.trackOpens` (boolean,null)
    A boolean value whether the mailing is tracking email opens.

  - `data.attributes.unsubscribedAt` (string,null)
    The date and time the recepient unsubscribed from the mailing's sequence.

  - `data.attributes.updatedAt` (string,null)
    The date and time the mailing was last updated.

  - `data.id` (integer)

  - `data.relationships` (object)

  - `data.relationships.followUpSequence` (object)
    The followup sequence associated with this mailing. You can use only the attribute id to filter mailings by followUpSequence (e.g. filter[followUpSequence][id]=X).

  - `data.relationships.followUpSequence.data` (object,null)

  - `data.relationships.followUpSequence.data.id` (integer)

  - `data.relationships.followUpSequence.data.type` (string)
    Enum: "sequence"

  - `data.relationships.followUpSequence.links` (object)

  - `data.relationships.followUpSequence.links.related` (string)

  - `data.relationships.mailbox` (object)
    The mailbox associated with this mailing. You can use only the attribute id to filter mailings by mailbox (e.g. filter[mailbox][id]=X).

  - `data.relationships.mailbox.data` (object,null)

  - `data.relationships.mailbox.data.id` (integer)

  - `data.relationships.mailbox.data.type` (string)
    Enum: "mailbox"

  - `data.relationships.mailbox.links` (object)

  - `data.relationships.mailbox.links.related` (string)

  - `data.relationships.opportunity` (object)
    The associated opportunity. You can use only the attribute id to filter mailings by opportunity (e.g. filter[opportunity][id]=X).

  - `data.relationships.opportunity.data` (object,null)

  - `data.relationships.opportunity.data.id` (integer)

  - `data.relationships.opportunity.data.type` (string)
    Enum: "opportunity"

  - `data.relationships.opportunity.links` (object)

  - `data.relationships.opportunity.links.related` (string)

  - `data.relationships.prospect` (object)
    The prospect associated with this mailing. You can use only the attribute id to filter mailings by prospect (e.g. filter[prospect][id]=X).

  - `data.relationships.prospect.data` (object,null)

  - `data.relationships.prospect.data.id` (integer)

  - `data.relationships.prospect.data.type` (string)
    Enum: "prospect"

  - `data.relationships.prospect.links` (object)

  - `data.relationships.prospect.links.related` (string)

  - `data.relationships.recipients` (object)
    Recipients of the mailing. Relationship recipients cannot be used as a filter.

  - `data.relationships.recipients.data` (array)

  - `data.relationships.recipients.data.id` (integer)

  - `data.relationships.recipients.data.type` (string)
    Enum: "recipient"

  - `data.relationships.recipients.links` (object)

  - `data.relationships.recipients.links.related` (string)

  - `data.relationships.sequence` (object)
    The associated sequence. You can use only the attribute id to filter mailings by sequence (e.g. filter[sequence][id]=X).

  - `data.relationships.sequence.data` (object,null)

  - `data.relationships.sequence.data.id` (integer)

  - `data.relationships.sequence.data.type` (string)
    Enum: "sequence"

  - `data.relationships.sequence.links` (object)

  - `data.relationships.sequence.links.related` (string)

  - `data.relationships.sequenceState` (object)
    The associated sequence state. You can use only the attribute id to filter mailings by sequenceState (e.g. filter[sequenceState][id]=X).

  - `data.relationships.sequenceState.data` (object,null)

  - `data.relationships.sequenceState.data.id` (integer)

  - `data.relationships.sequenceState.data.type` (string)
    Enum: "sequenceState"

  - `data.relationships.sequenceState.links` (object)

  - `data.relationships.sequenceState.links.related` (string)

  - `data.relationships.sequenceStep` (object)
    The associated sequence step. You can use only the attribute id to filter mailings by sequenceStep (e.g. filter[sequenceStep][id]=X).

  - `data.relationships.sequenceStep.data` (object,null)

  - `data.relationships.sequenceStep.data.id` (integer)

  - `data.relationships.sequenceStep.data.type` (string)
    Enum: "sequenceStep"

  - `data.relationships.sequenceStep.links` (object)

  - `data.relationships.sequenceStep.links.related` (string)

  - `data.relationships.task` (object)
    The task this mailing will or did complete upon sending. You can use only the attribute id to filter mailings by task (e.g. filter[task][id]=X).

  - `data.relationships.task.data` (object,null)

  - `data.relationships.task.data.id` (integer)

  - `data.relationships.task.data.type` (string)
    Enum: "task"

  - `data.relationships.task.links` (object)

  - `data.relationships.task.links.related` (string)

  - `data.relationships.tasks` (object)
    All tasks associated with this mailing, such as a follow-up task. Relationship tasks cannot be used as a filter.

  - `data.relationships.tasks.data` (array)

  - `data.relationships.tasks.data.id` (integer)

  - `data.relationships.tasks.data.type` (string)
    Enum: "task"

  - `data.relationships.tasks.links` (object)

  - `data.relationships.tasks.links.related` (string)

  - `data.relationships.template` (object)
    The template associated with this mailing. You can use only the attribute id to filter mailings by template (e.g. filter[template][id]=X).

  - `data.relationships.template.data` (object,null)

  - `data.relationships.template.data.id` (integer)

  - `data.relationships.template.data.type` (string)
    Enum: "template"

  - `data.relationships.template.links` (object)

  - `data.relationships.template.links.related` (string)

  - `data.relationships.user` (object)
    The user associated with this mailing. You can use only the attribute id to filter mailings by user (e.g. filter[user][id]=X).

  - `data.relationships.user.data` (object,null)

  - `data.relationships.user.data.id` (integer)

  - `data.relationships.user.data.type` (string)
    Enum: "user"

  - `data.relationships.user.links` (object)

  - `data.relationships.user.links.related` (string)

  - `data.type` (string)

## Response 422 fields (application/vnd.api+json):

  - `errors` (array)

  - `errors.detail` (string)

  - `errors.id` (string)

  - `errors.title` (string)


